package mx.gob.imss.simo.enlaces.common.constant;

public class SQLCatalogosConstants {

    private SQLCatalogosConstants() {
    }

    /**
     * Informacion Complementaria
     */

    public static final String OBTENER_CATALOGO_SUBSISTEMA = "SELECT CVE_SUBSISTEMA, DES_SUBSISTEMA FROM SIMOC_OWNER.SIC_SUBSISTEMA WHERE FEC_BAJA IS NULL ORDER BY CVE_SUBSISTEMA";

    public static final String OBTENER_CATALOGOS_SUBSISTEMA_RCV = "SELECT * FROM SIMOC_OWNER.SIC_SUBSISTEMA_RCV WHERE CVE_SUBSISTEMA = ? AND CVE_RCV = ? AND FEC_BAJA IS NULL AND IND_CAPTURA = 1 ORDER BY CVE_SUBSISTEMA_RCV";

    public static final String OBTENER_CATALOGO_RCV = "SELECT DISTINCT(CVE_RCV) FROM SIMOC_OWNER.SIC_SUBSISTEMA_RCV WHERE CVE_SUBSISTEMA = ? AND FEC_BAJA IS NULL AND IND_CAPTURA = 1 ORDER BY CVE_RCV";

    public static final String OBTENER_CATALOGO_POBLACION = "SELECT CVE_POBLACION, DES_POBLACION FROM SIMOC_OWNER.SIC_POBLACION WHERE FEC_BAJA IS NULL ORDER BY CVE_POBLACION";

    public static final String OBTENER_CATALOGO_POR = "SELECT CVE_POR, DES_POR FROM SIMOC_OWNER.SIC_POR WHERE FEC_BAJA IS NULL ORDER BY CVE_POR";

    public static final String OBTENER_CATALOGO_EN = "SELECT CVE_EN, DES_EN FROM SIMOC_OWNER.SIC_EN WHERE FEC_BAJA IS NULL ORDER BY CVE_EN";

    public static final String OBTENER_CATALOGO_HOJA = "SELECT CVE_HOJA, DES_HOJA FROM SIMOC_OWNER.SIC_HOJA WHERE FEC_BAJA IS NULL ORDER BY CVE_HOJA";

    public static final String OBTENER_CATALOGO_SUBCLAVE = "SELECT CVE_SUBCLAVE, DES_SUBCLAVE FROM SIMOC_OWNER.SIC_SUBCLAVE WHERE FEC_BAJA IS NULL ORDER BY CVE_SUBCLAVE";

    /**
     * Servicios Subrogados
     */

    public static final String OBTENER_CATALOGO_MOTIVO_SUBROGACION = "SELECT CVE_MOTIVO_SUBROGACION, REF_INICIAL_MOTIVO FROM SIMOC_OWNER.SIC_MOTIVO_SUBROGACION WHERE FEC_BAJA IS NULL";

    public static final String OBTENER_CATALOGO_TIPO_CONTRATO = "SELECT CVE_TIPO_CONTRATO, DES_TIPO_CONTRATO FROM SIMOC_OWNER.SIC_TIPO_CONTRATO WHERE FEC_BAJA IS NULL";

    public static final String OBTENER_CATALOGO_TIPO_SERVICIO = "SELECT CVE_TIPO_SERVICIO, DES_TIPO_SERVICIO FROM SIMOC_OWNER.SIC_TIPO_SERVICIO WHERE FEC_BAJA IS NULL";

}
